csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator Class Reference

An iterator class for the csHash class. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions
bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
| Iterator (const Iterator &o)
| Copy constructor.
T & | Next ()
| Get the next element's value.
Iterator & | operator= (const Iterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.
## Friends
class | csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >

## Detailed Description

### template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>
class csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator

An iterator class for the csHash class.

Definition at line 510 of file hash.h.

## Constructor & Destructor Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator::Iterator | ( | const Iterator & | o | ) | `[inline]`

Copy constructor.

Definition at line 537 of file hash.h.

## Member Function Documentation

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

bool csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator::HasNext | ( |  | ) | const`[inline]`

Returns a boolean indicating whether or not the hash has more elements.

Definition at line 556 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

T& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator::Next | ( |  | ) | `[inline]`

Get the next element's value.

Definition at line 562 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

Iterator& csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator::operator= | ( | const Iterator & | o | ) | `[inline]`

Assignment operator.

Definition at line 545 of file hash.h.

template<class T, class K = unsigned int, class ArrayMemoryAlloc = CS::Memory::AllocatorMalloc, class ArrayElementHandler = csArrayElementHandler< CS::Container::HashElement<T, K> >>

void csHash< T, K, ArrayMemoryAlloc, ArrayElementHandler >::Iterator::Reset | ( |  | ) | `[inline]`

Move the iterator back to the first element.

Definition at line 571 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h